project(tests)
find_package(pugixml CONFIG)
find_package(assimp REQUIRED CONFIG)
find_package(OGRE REQUIRED COMPONENTS Bites Bullet Paging Terrain CONFIG)
find_package(RecastNavigation REQUIRED)

add_executable(check_uv check_uv.cpp)
target_link_libraries(check_uv ${ASSIMP_LIBRARIES})
add_executable(ogre_check_uv ogre_check_uv.cpp)
target_link_libraries(ogre_check_uv OgreBites OgreMain)
add_executable(check_scene_loader check_scene_loader.cpp)
target_link_libraries(check_scene_loader OgreBites OgreMain)
add_executable(check_nav nav.cpp)
#target_link_libraries(check_nav recastnavigation::Recast recastnavigation::Detour recastnavigation::DetourTileCache)
target_link_libraries(check_nav RecastNavigation::Recast RecastNavigation::Detour RecastNavigation::DetourTileCache)
#target_link_libraries(check_nav Recast Detour DetourTileCache)

